Package: org.grails.cli.interactive.completers

## [Java] Class SortedAggregateCompleter.Completion

- org.grails.cli.interactive.completers.SortedAggregateCompleter.Completion

-     private class SortedAggregateCompleter.Completion

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.util.List<java.lang.CharSequence>` | `candidates` |
    `int` | `cursor` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Completion (java.util.List<java.lang.CharSequence> candidates)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `complete(jline.console.completer.Completer completer, java.lang.String buffer, int cursor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public final java.util.List<java.lang.CharSequence> candidates

    - #### public int cursor

  - ### Constructor Detail

    - #### public Completion(java.util.List<java.lang.CharSequence> candidates)

  - ### Method Detail

    - #### public void complete(jline.console.completer.Completer completer, java.lang.String buffer, int cursor)